;nyquist plug-in
;version 4
;type tool
;name "Select Above"
;author "Steve Daulton"
;release 2.4.2
;copyright "Released under terms of the GNU General Public License version 2"

(defun getfocus ()
  (let ((count 1)
        (info (aud-get-info "tracks"))
        hasfocus)
    (dolist (tr info nil)
      (setf hasfocus (assoc 'focused tr))
      (when (and hasfocus (= (second hasfocus) 1))
        (return count))
      (incf count))))

(let ((f-track (getfocus)))
  (if f-track
      (aud-do-command "SelectTracks" :track 0 :trackcount f-track)
      "Track focus not found"))
